Schedules

Analyse the latest schedule version

GET
/v1/channels/{id}/schedule/simulate

Scope: channels:read

Authorization

apiKey
headerAuthorizationBearer <ik_live_…>

An organisation API key from Settings → Organisation → API keys. Each operation names the one scope it needs — see https://developer.ingenee.ai/docs/authentication.

Path Parameters

id*string

Response Body

OK

application/json
  1. response
[key: string]?any
Example Request
curl -X GET 'https://dev.app.ingenee.ai/api/v1/channels/string/schedule/simulate'
Example Response
{  "channel": {    "id": "1dad8739-b86a-4f5e-ab64-28b7f72a717d",    "name": "E2E Ad Channel India",    "archetype": "movie",    "maxRepeatWindow": 72,    "scheduleHorizon": 7  },  "hasData": true,  "version": {    "versionNum": 181,    "days": 9  },  "totals": {    "airings": 102,    "distinctTitles": 6,    "hours": 193.2,    "avgSlotMin": 114  },  "titlePlays": [    {      "title": "Toy Story",      "poster": "https://image.tmdb.org/t/p/w500/uXDfjJbdP4ijW5hWSBrPrlKpxab.jpg",      "airings": 17,      "hours": 25.5    },    {      "title": "Coco",      "poster": "https://image.tmdb.org/t/p/w500/6Ryitt95xrO8KXuqRGm1fUuNwqF.jpg",      "airings": 17,      "hours": 33.2    }  ],  "genreMix": [    {      "genre": "Animation",      "pct": 29    },    {      "genre": "Family",      "pct": 24    }  ],  "daypartMix": [    {      "daypart": "E2E Weekday",      "count": 77    },    {      "daypart": "E2E Weekend",      "count": 25    }  ],  "timeline": [    {      "date": "2026-10-28",      "airings": 11,      "hours": 20.9    },    {      "date": "2026-10-29",      "airings": 13,      "hours": 24.5    }  ],  "projection": {    "currentWindow": 72,    "projectedWindow": 72,    "currentViolations": 96,    "projectedViolations": 96,    "airingsPerHour": 0.5  }}